diff -urN trunk.ORG/target/linux/ramips/base-files/etc/board.d/01_leds trunk/target/linux/ramips/base-files/etc/board.d/01_leds
--- trunk.ORG/target/linux/ramips/base-files/etc/board.d/01_leds	2015-05-22 06:20:31.238295288 +0900
+++ trunk/target/linux/ramips/base-files/etc/board.d/01_leds	2015-05-22 20:09:42.900824607 +0900
@@ -248,6 +248,9 @@
 	zte-q7)
 		set_wifi_led "zte:blue:status"
 		;;
+	mzk-dp150n)
+		ucidef_set_led_default "power" "power" "mzkdp150n:green:power" "1"
+		;;
 esac
 
 board_config_flush
diff -urN trunk.ORG/target/linux/ramips/base-files/etc/board.d/02_network trunk/target/linux/ramips/base-files/etc/board.d/02_network
--- trunk.ORG/target/linux/ramips/base-files/etc/board.d/02_network	2015-05-22 06:20:31.238295288 +0900
+++ trunk/target/linux/ramips/base-files/etc/board.d/02_network	2015-05-22 06:24:43.006308088 +0900
@@ -257,6 +257,13 @@
 		ucidef_add_switch_vlan "switch0" "1" "1 2 3 4 5t"
 		ucidef_add_switch_vlan "switch0" "2" "0 5t"
 		;;
+
+	mzk-dp150n)
+		ucidef_set_interface_lan "eth0.1"
+		ucidef_add_switch "switch0" "1" "1"
+		ucidef_add_switch_vlan "switch0" "1" "0 4 6t"
+		;;
+
 	*)
 		RT3X5X=`cat /proc/cpuinfo | egrep "(RT3.5|RT5350)"`
 		if [ -n "${RT3X5X}" ]; then
diff -urN trunk.ORG/target/linux/ramips/base-files/etc/diag.sh trunk/target/linux/ramips/base-files/etc/diag.sh
--- trunk.ORG/target/linux/ramips/base-files/etc/diag.sh	2015-05-22 06:20:31.238295288 +0900
+++ trunk/target/linux/ramips/base-files/etc/diag.sh	2015-05-22 06:22:13.118300468 +0900
@@ -233,6 +233,9 @@
 	zte-q7)
 		status_led="zte:red:status"
 		;;
+	mzk-dp150n)
+		status_led="mzkdp150n:green:power"
+		;;
 	esac
 }
 
diff -urN trunk.ORG/target/linux/ramips/base-files/lib/ramips.sh trunk/target/linux/ramips/base-files/lib/ramips.sh
--- trunk.ORG/target/linux/ramips/base-files/lib/ramips.sh	2015-05-22 06:20:31.238295288 +0900
+++ trunk/target/linux/ramips/base-files/lib/ramips.sh	2015-05-22 06:22:28.578301254 +0900
@@ -403,6 +403,9 @@
 	*"Mediatek MT7628AN evaluation board")
 		name="mt7628"
 		;;
+	*"Planex MZK-DP150N")
+		name="mzk-dp150n"
+		;;
 	*)
 		name="generic"
 		;;
diff -urN trunk.ORG/target/linux/ramips/dts/MZK-DP150N.dts trunk/target/linux/ramips/dts/MZK-DP150N.dts
--- trunk.ORG/target/linux/ramips/dts/MZK-DP150N.dts	1970-01-01 09:00:00.000000000 +0900
+++ trunk/target/linux/ramips/dts/MZK-DP150N.dts	2015-05-22 21:21:58.149045007 +0900
@@ -0,0 +1,98 @@
+/dts-v1/;
+
+/include/ "rt5350.dtsi"
+
+/ {
+	compatible = "MZK-DP150N", "ralink,rt5350-soc";
+	model = "Planex MZK-DP150N";
+
+	palmbus@10000000 {
+		gpio1: gpio@660 {
+			status = "okay";
+		};
+
+		spi@b00 {
+			status = "okay";
+
+			m25p80@0 {
+				#address-cells = <1>;
+				#size-cells = <1>;
+				compatible = "s25fl064k";
+				reg = <0>;
+				linux,modalias = "m25p80", "s25fl064k";
+				spi-max-frequency = <10000000>;
+
+				partition@0 {
+					label = "uboot";
+					reg = <0x0 0x30000>;
+					read-only;
+				};
+
+				partition@30000 {
+					label = "uboot-env";
+					reg = <0x30000 0x10000>;
+					read-only;
+				};
+
+				factory: partition@40000 {
+					label = "factory";
+					reg = <0x40000 0x10000>;
+					read-only;
+				};
+
+				partition@50000 {
+					label = "firmware";
+					reg = <0x50000 0x3b0000>;
+				};
+			};
+
+			spidev@1 {
+				compatible = "linux,spidev";
+				spi-max-frequency = <10000000>;
+				reg = <1>;
+			};
+		};
+	};
+
+	pinctrl {
+		state_default: pinctrl0 {
+			gpio {
+				ralink,group = "jtag", "uartf", "led";
+				ralink,function = "gpio";
+			};
+		};
+	};
+
+	ethernet@10100000 {
+		mtd-mac-address = <&factory 0x4>;
+	};
+
+	esw@10110000 {
+		ralink,portmap = <0x17>;
+	};
+
+	wmac@10180000 {
+		ralink,mtd-eeprom = <&factory 0>;
+		ralink,led-polarity = <1>;
+	};
+
+	gpio-leds {
+		compatible = "gpio-leds";
+		power {
+			label = "mzkdp150n:green:power";
+			gpios = <&gpio0 9 1>;
+		};
+	};
+
+	gpio-keys-polled {
+		compatible = "gpio-keys-polled";
+		#address-cells = <1>;
+		#size-cells = <0>;
+		poll-interval = <20>;
+		reset {
+			label = "reset";
+			gpios = <&gpio0 10 1>;
+			linux,code = <0x198>;
+		};
+	};
+};
diff -urN trunk.ORG/target/linux/ramips/image/Makefile trunk/target/linux/ramips/image/Makefile
--- trunk.ORG/target/linux/ramips/image/Makefile	2015-05-22 06:20:31.510295302 +0900
+++ trunk/target/linux/ramips/image/Makefile	2015-05-22 06:22:28.582301254 +0900
@@ -603,6 +603,8 @@
 
 Image/Build/Profile/WCR150GN=$(call BuildFirmware/Default4M/$(1),$(1),wcr150gn,WCR150GN)
 
+Image/Build/Profile/MZK-DP150N=$(call BuildFirmware/Default4M/$(1),$(1),mzk-dp150n,MZK-DP150N)
+
 buffalo_whrg300n_mtd_size=3801088
 define BuildFirmware/WHRG300N/squashfs
 	$(call BuildFirmware/Default4M/$(1),$(1),whr-g300n,WHR-G300N)
@@ -763,6 +765,7 @@
 	$(call Image/Build/Profile/X5,$(1))
 	$(call Image/Build/Profile/X8,$(1))
 	$(call Image/Build/Profile/XDXRN502J,$(1))
+	$(call Image/Build/Profile/MZK-DP150N,$(1))
 endef
 endif
 
diff -urN trunk.ORG/target/linux/ramips/rt305x/profiles/planex.mk trunk/target/linux/ramips/rt305x/profiles/planex.mk
--- trunk.ORG/target/linux/ramips/rt305x/profiles/planex.mk	1970-01-01 09:00:00.000000000 +0900
+++ trunk/target/linux/ramips/rt305x/profiles/planex.mk	2015-05-22 21:43:16.821110013 +0900
@@ -0,0 +1,17 @@
+#
+# Copyright (C) 2014 OpenWrt.org
+#
+# This is free software, licensed under the GNU General Public License v2.
+# See /LICENSE for more information.
+#
+
+define Profile/MZK-DP150N
+	NAME:=Planex MZK-DP150N
+	PACKAGES:= kmod-spi-dev
+endef
+
+define Profile/MZK-DP150N/Description
+	Package set optimized for the Planex MZK-DP150N.
+endef
+
+$(eval $(call Profile,MZK-DP150N))
